=== debian/control ===
Source: sugar-datastore-0.88
Section: python
Priority: optional
Maintainer: Debian OLPC <debian-olpc-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Build-Depends: autotools-dev,
 devscripts,
 python,
 cdbs (>= 0.4.97~),
 python-all-dev,
 debhelper,
 dh-buildinfo
Standards-Version: 3.9.4
Vcs-Git: git://anonscm.debian.org/git/collab-maint/sugar-datastore
Vcs-Browser: http://anonscm.debian.org/gitweb?p=collab-maint/sugar-datastore.git;a=shortlog;h=refs/heads/master-0.88
Homepage: http://wiki.sugarlabs.org/go/Sugar

Package: python-carquinyol-0.88
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, ${cdbs:Depends}, ${misc:Depends}
Suggests: ${cdbs:Suggests}
Provides: ${python:Provides}, ${cdbs:Provides}
Breaks: ${cdbs:Breaks}
Conflicts: ${cdbs:Conflicts}
Replaces: ${cdbs:Replaces}
Description: Sugar graphical shell - datastore
 Sugar is a desktop environment. It is conceived as a platform upon
 which children learn with Sugar Activities. The platform provides
 mechanisms for collaboration, reflection, and exploration. Sugar
 Activities cover a broad range of applications: browsing, drawing,
 composing, writing, programming, etc.
 .
 This package contains a simple log like datastore able to connect with
 multiple backends.  The datastore supports connecting and disconnecting
 from backends on the fly to help the support the limit space/memory
 characteristics of the OLPC system and the fact that network services
 may become unavailable at times.
