=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2008, 2009, 2010, 2013 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for sugar-datastore
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 3, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

DEB_BUILDDIR = build
include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/python-autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk

pkgbase = python-carquinyol
pkgbranch = 0.88
pkg = $(pkgbase)-$(pkgbranch)

DEB_UPSTREAM_PACKAGE = $(DEB_SOURCE_PACKAGE:%-$(pkgbranch)=%)
DEB_UPSTREAM_URL = http://download.sugarlabs.org/sources/sucrose/glucose/sugar-datastore
DEB_UPSTREAM_TARBALL_EXTENSION = tar.bz2

# Needed (always/seldom) at runtime
depends = python-gobject, python-dbus, python-xapian
depends +=, python-sugar-$(pkgbranch)
suggests = sugar-$(pkgbranch), poppler-utils | xpdf-utils
suggests +=, abiword | abiword-gnome

CDBS_DEPENDS_$(pkg) = $(depends)
CDBS_SUGGESTS_$(pkg) = $(suggests)

# Ensure only one variant is installed at a time (Debian Policy 7.6.2)
CDBS_PROVIDES_$(pkg) = $(pkgbase)
CDBS_CONFLICTS_$(pkg) = $(pkgbase)
CDBS_REPLACES_$(pkg) = $(pkgbase)
